# OpenLayers.Control.ScaleLine

The ScaleLine displays a small line indicator representing the current map scale on the map. By default it is drawn in the lower left corner of the map.

#### Inherits from

- OpenLayers.Control

#### Is a very close copy of

- OpenLayers.Control.Scale

Summary

OpenLayers.Control.ScaleLine | The ScaleLine displays a small line indicator representing the current map scale on the map.
Properties |
geodesic | {Boolean} Use geodesic measurement.
Constructor |
OpenLayers.Control.ScaleLine | Create a new scale line control.

### Properties

### geodesic

{Boolean} Use geodesic measurement. Default is false. The recommended setting for maps in EPSG:4326 is false, and true EPSG:900913. If set to true, the scale will be calculated based on the horizontal size of the pixel in the center of the map viewport.

### Constructor

### OpenLayers.Control.ScaleLine

Create a new scale line control.

#### Parameters

options | {Object} An optional object whose properties will be used to extend the control.

Controls affect the display or behavior of the map.
The Scale control displays the current map scale as a ratio (e.g.
Close